Bug 859938 - [as_IN] Character 'জ্জ্ব' (JA + HALANT + JA + HALANT + BA) is not rendering properly
[as_IN] Character 'জ্জ্ব' (JA + HALANT + JA + HALANT + BA) is not rendering p...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lohit-assamese-fonts (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 08:42 EDT by Nilamdyuti
Modified: 2012-12-12 05:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 05:21:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nilamdyuti 2012-09-24 08:42:02 EDT
Description of problem:

While testing the 'harfbuzz' i18n test case in Fedora 18 alpha for Assamese language, I found that Assamese character 'জ্জ্ব' (JA + HALANT + JA + HALANT + BA) having codepoint: U+099C U+09CD U+099C U+09CD U+09AC is not rendering properly in the user interface.

Version-Release number of selected component (if applicable):

harfbuzz-0.9.4-1.fc18.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Open Gedit
2. Go to 'View (V)' menu {দৰ্শন (V) in Assamese} and to menu option 'Highlight Mode (H)' {উজ্জ্বলতাৰ ধৰণ (H) in Assamese}
3. Look at the word 'উজ্জ্বলতাৰ' in menu option 'উজ্জ্বলতাৰ ধৰণ (H)'

Actual results:

Chararcter 'জ্জ্ব' in the word 'উজ্জ্বলতাৰ' is not rendered properly.

Expected results:

Chararcter 'জ্জ্ব' in the word 'উজ্জ্বলতাৰ' should be rendered properly.
Comment 1 Fedora Admin XMLRPC Client 2012-12-10 05:31:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Parag Nemade 2012-12-11 01:32:47 EST
Can you please test again and provide correct and incorrect rendering images?
Comment 3 Nilamdyuti 2012-12-11 05:05:21 EST
Hi Parag,

I tested again with upgraded version of harfbuzz and lohit-assamese-fonts and this time Assamese character 'জ্জ্ব' (JA + HALANT + JA + HALANT + BA) is rendering properly.

Version-Release number of selected component:

lohit-assamese-fonts-2.5.2-1.fc18.noarch

harfbuzz-0.9.9-1.fc18.i686

Pravin Satpute provided the fix in lohit-assamese-fonts-2.5.2-1.fc18.noarch.

Thanks,
Nilamdyuti
Comment 4 Parag Nemade 2012-12-11 05:28:06 EST
Thanks Nilamdyuti for your reply.
Comment 5 Pravin Satpute 2012-12-12 05:21:32 EST
Resolved in lohit-gujarati-2.5.2

Note You need to log in before you can comment on or make changes to this bug.